summaryrefslogtreecommitdiff
path: root/package/base-files/extra/etc/init.d/boot
diff options
context:
space:
mode:
Diffstat (limited to 'package/base-files/extra/etc/init.d/boot')
-rw-r--r--package/base-files/extra/etc/init.d/boot27
1 files changed, 27 insertions, 0 deletions
diff --git a/package/base-files/extra/etc/init.d/boot b/package/base-files/extra/etc/init.d/boot
new file mode 100644
index 000000000..f71e46240
--- /dev/null
+++ b/package/base-files/extra/etc/init.d/boot
@@ -0,0 +1,27 @@
+#!/bin/sh
+#INIT 10
+[[ $1 = autostart ]] || exit 0
+
+. /etc/functions.sh
+
+mkdir -p /var/log
+mkdir -p /var/run
+touch /var/log/lastlog
+touch /var/log/wtmp
+ln -s /var/tmp /tmp
+
+echo 0 > /proc/sys/kernel/printk
+
+HOSTNAME=
+[[ -s /etc/hostname ]] && HOSTNAME=$(cat /etc/hostname)
+HOSTNAME=${HOSTNAME%%.*}
+echo ${HOSTNAME:=linux} >/proc/sys/kernel/hostname
+
+chown 0:0 /tmp; chmod 1777 /tmp
+
+load_modules /etc/modules
+for f in /etc/modules.d/*; do
+ [[ -e $f ]] && load_modules /etc/modules.d/*
+ break
+done
+exit 0